#pragma once

#include <QWidget>
#include "ui_QDataManagementWidget.h"
#include "QCarDealerAchievementWidget.h"
#include "QCarDealerSchemaWidget.h"
#include "../QRepairRecommendationWidget/QRepairRecommendationWidget.h"

class QDataManagementWidget : public QWidget
{
Q_OBJECT

public:
	QDataManagementWidget( QWidget * parent = Q_NULLPTR );
	~QDataManagementWidget();

private:
	void init();
	void initData();
	void initWidgets();
	void initSignal();

private:
	Ui::QDataManagementWidget   ui;
	
	QCarDealerAchievementWidget achievementWidget;
	QCarDealerSchemaWidget      schemaWidget;
	QRepairRecommendationWidget repairRecommendationWidget;
};
